import { Base, Point, Type } from "igniteui-angular-core";
import { OverlayTextInfo } from "./OverlayTextInfo";
import { OverlayTextLocation } from "./OverlayTextLocation";
import { Brush } from "igniteui-angular-core";
import { Color } from "igniteui-angular-core";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { OverlayTextUpdatingEventArgs } from "./OverlayTextUpdatingEventArgs";
import { Size } from "igniteui-angular-core";
import { FrameworkElement } from "igniteui-angular-core";
import { TextBlock } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { Rectangle } from "igniteui-angular-core";
import { FontInfo } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { Pool$1 } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class OverlayTextUtil extends Base {
    static $t: Type;
    static ac(a: OverlayTextInfo): void;
    static aj: Color;
    static ai: Color;
    static ae(a: Brush): Brush;
    static af(a: Brush, b: Brush, c: number, d: AnnotationAppearanceMode): Brush;
    static ad(a: OverlayTextUpdatingEventArgs): void;
    static ah(a: Brush, b: number, c: AnnotationAppearanceMode): Brush;
    static w(a: OverlayTextInfo): void;
    static x(a: OverlayTextInfo): void;
    static aa(a: FrameworkElement, b: Point): void;
    static ab(a: FrameworkElement, b: number, c: Size): void;
    static y(a: Rectangle, b: Brush, c: Brush, d: number, e: number): void;
    static z(a: TextBlock, b: Brush): void;
    static p(a: Brush): boolean;
    static ag(a: Brush, b: Brush): Brush;
    static t(a: number, b: number): number;
    static r(a: number, b: boolean): number;
    static s(a: number): number;
    static k(a: FontInfo): boolean;
    static o(a: FontInfo, b: boolean): boolean;
    private static n;
    private static m;
    static q(a: FontInfo): boolean;
    static ak(a: OverlayTextLocation, b: Size, c: number, d: number, e: number, f: number, g: number, h: Rect, i: boolean): Point;
    static a(a: OverlayTextLocation, b: Rect, c: boolean): OverlayTextLocation;
    static f(a: OverlayTextLocation): boolean;
    static h(a: OverlayTextLocation): boolean;
    static i(a: OverlayTextLocation): boolean;
    static d(a: OverlayTextLocation): boolean;
    static g(a: OverlayTextLocation): boolean;
    static e(a: OverlayTextLocation): boolean;
    static j(a: OverlayTextLocation): boolean;
    static l(a: OverlayTextLocation): boolean;
    private static b;
    static c(): FontInfo;
    static u(a: Pool$1<TextBlock>): void;
    static v(a: List$1<TextBlock>): void;
}
